Schema "fpml-mktenv-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8563 $

Defined Components:

  8 global elements, 47 local elements, 19 complexTypes, 6 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-mktenv-5-3.xsd; see XML source

Includes Schemas (4):

  fpml-asset-5-3.xsd [src], fpml-cd-5-3.xsd [src], fpml-doc-5-3.xsd [src], fpml-riskdef-5-3.xsd [src]

Included in Schema:

  fpml-riskdef-5-3.xsd [src]

All Element Summary
adjustment | An adjustment factor, such as for vol smile/skew.
Type: | ParametricAdjustment
Content: | complex, 3 elements
Defined: | locally witnin VolatilityMatrix complexType; see XML source
adjustmentValue | The value of the dependent variable, the actual adjustment amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ParametricAdjustmentPoint complexType; see XML source
algorithm |
Type: | xsd:string
Content: | simple
Defined: | locally witnin YieldCurveCharacteristics.model group; see XML source
ask | A price "asked" by a seller for an asset, i.e. the price at which a seller is willing to sell.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin BidMidAsk.model group; see XML source
asset | A reference to the asset whose volatility is modeled.
Type: | AnyAssetReference
Content: | empty, 1 attribute
Defined: | locally witnin VolatilityRepresentation complexType; see XML source
assetReference (in forwardCurve) | A reference to the rate index whose forwards are modeled.
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin ForwardRateCurve complexType; see XML source
baseYieldCurve | A reference to the yield curve values used as a basis for this credit curve valuation.
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin DefaultProbabilityCurve complexType; see XML source
bid | A price "bid" by a buyer for an asset, i.e. the price a buyer is willing to pay.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin BidMidAsk.model group; see XML source
compoundingFrequency | The frequency at which the rates are compounded (e.g. continuously compounded).
Type: | CompoundingFrequency
Content: | simple, 1 attribute
Defined: | locally witnin ZeroRateCurve complexType; see XML source
creditCurve |
Type: | CreditCurve
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element pricingStructure
Defined: | globally; see XML source
Used: | never
creditCurveValuation |
Type: | CreditCurveValuation
Content: | complex, 2 attributes, 11 elements
Subst.Gr: | may substitute for element pricingStructureValuation
Defined: | globally; see XML source
Used: | never
creditEvents (in creditCurve) | The material credit event.
Type: | CreditEvents
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin CreditCurveCharacteristics.model group; see XML source
datapoint | The values of the adjustment parameter.
Type: | ParametricAdjustmentPoint
Content: | complex, 2 elements
Defined: | locally witnin ParametricAdjustment complexType; see XML source
dataPoints | The raw volatility matrix data, expressed as a multi-dimensional array.
Type: | MultiDimensionalPricingData
Content: | complex, 14 elements
Defined: | locally witnin VolatilityMatrix complexType; see XML source
defaultProbabilities | A collection of default probabilities.
Type: | TermCurve
Content: | complex, 3 elements
Defined: | locally witnin DefaultProbabilityCurve complexType; see XML source
defaultProbabilityCurve | A curve of default probabilities.
Type: | DefaultProbabilityCurve
Content: | complex, 2 attributes, 9 elements
Defined: | locally witnin CreditCurveValuation complexType; see XML source
definition (in point defined in TermCurve complexType) | An optional reference to an underlying asset that defines the meaning of the value, i.e. the product that the value corresponds to.
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin TermPoint complexType; see XML source
deliverableObligations (in creditCurve) | What sort of obligation may be delivered in the event of the credit event.
Type: | DeliverableObligations
Content: | complex, 23 elements
Defined: | locally witnin CreditCurveCharacteristics.model group; see XML source
discountFactorCurve | A curve of discount factors.
Type: | TermCurve
Content: | complex, 3 elements
Defined: | locally witnin YieldCurveValuation complexType; see XML source
extrapolationPermitted |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TermCurve complexType; see XML source
forecastCurrencyYieldCurve |
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin FxCurveValuation complexType; see XML source
forecastRateIndex |
Type: | ForecastRateIndex
Content: | complex, 2 elements
Defined: | locally witnin YieldCurveCharacteristics.model group; see XML source
forwardCurve | A curve of forward rates.
Type: | ForwardRateCurve
Content: | complex, 2 elements
Defined: | locally witnin YieldCurveValuation complexType; see XML source
fxCurve |
Type: | FxCurve
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element pricingStructure
Defined: | globally; see XML source
Used: | never
fxCurveValuation |
Type: | FxCurveValuation
Content: | complex, 2 attributes, 12 elements
Subst.Gr: | may substitute for element pricingStructureValuation
Defined: | globally; see XML source
Used: | never
fxForwardCurve | A curve of fx forward rates.
Type: | TermCurve
Content: | complex, 3 elements
Defined: | locally witnin FxCurveValuation complexType; see XML source
fxForwardPointsCurve | A curve of fx forward point spreads.
Type: | TermCurve
Content: | complex, 3 elements
Defined: | locally witnin FxCurveValuation complexType; see XML source
inputs (in creditCurveValuation) |
Type: | QuotedAssetSet
Content: | complex, 2 elements
Defined: | locally witnin CreditCurveValuation complexType; see XML source
inputs (in yieldCurveValuation) |
Type: | QuotedAssetSet
Content: | complex, 2 elements
Defined: | locally witnin YieldCurveValuation complexType; see XML source
inputUnits | The units of the input parameter, e.g.
Type: | PriceQuoteUnits
Content: | simple, 1 attribute
Defined: | locally witnin ParametricAdjustment complexType; see XML source
interpolationMethod (defined in TermCurve complexType) |
Type: | InterpolationMethod
Content: | simple, 1 attribute
Defined: | locally witnin TermCurve complexType; see XML source
mid | A price midway between the bid and the ask price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin BidMidAsk.model group; see XML source
name (in adjustment) | The name of the adjustment parameter (e.g.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin ParametricAdjustment complexType; see XML source
obligationCurrency | The currency of denomination of the deliverable obligation.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin CreditCurveCharacteristics.model group; see XML source
obligations (in creditCurve) | The underlying obligations of the reference entity on which you are buying or selling protection
Type: | Obligations
Content: | complex, 18 elements
Defined: | locally witnin CreditCurveCharacteristics.model group; see XML source
parameterValue | The value of the independent variable (e.g. strike offset).
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ParametricAdjustmentPoint complexType; see XML source
point (defined in TermCurve complexType) |
Type: | TermPoint
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TermCurve complexType; see XML source
point (in dataPoints) |
Type: | PricingStructurePoint
Content: | complex, 1 attribute, 18 elements
Defined: | locally witnin MultiDimensionalPricingData complexType; see XML source
quotedCurrencyPair (in fxCurve) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin FxCurveCharacteristics.model group; see XML source
rateCurve (in forwardCurve) | The curve of forward values.
Type: | TermCurve
Content: | complex, 3 elements
Defined: | locally witnin ForwardRateCurve complexType; see XML source
rateCurve (in zeroCurve) | The curve of zero-coupon values.
Type: | TermCurve
Content: | complex, 3 elements
Defined: | locally witnin ZeroRateCurve complexType; see XML source
recoveryRate | A single recovery rate, to be used for all terms.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin RecoveryRate.model group; see XML source
recoveryRateCurve | A curve of recovery rates, allowing different terms to have different recovery rates.
Type: | TermCurve
Content: | complex, 3 elements
Defined: | locally witnin RecoveryRate.model group; see XML source
secured | Whether the deliverable obligation is secured or unsecured.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditCurveCharacteristics.model group; see XML source
seniority (in creditCurve) | The level of seniority of the deliverable obligation.
Type: | CreditSeniority
Content: | simple, 1 attribute
Defined: | locally witnin CreditCurveCharacteristics.model group; see XML source
settlementCurrencyYieldCurve |
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin FxCurveValuation complexType; see XML source
spotRate (in fxCurveValuation) |
Type: | FxRateSet
Content: | complex, 2 elements
Defined: | locally witnin FxCurveValuation complexType; see XML source
spreadValue | The spread value can be used in conjunction with the "mid" value to define the bid and the ask value.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TermPoint complexType; see XML source
term (in point defined in TermCurve complexType) | The time dimension of the point (tenor and/or date)
Type: | TimeDimension
Content: | complex, 2 elements
Defined: | locally witnin TermPoint complexType; see XML source
underlyingAssetReference | A reference to an underlying asset that defines the meaning of the value, i.e. the product that the value corresponds to.
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin UnderlyingAssetOrReference.model group; see XML source
volatilityMatrixValuation |
Type: | VolatilityMatrix
Content: | complex, 2 attributes, 9 elements
Subst.Gr: | may substitute for element pricingStructureValuation
Defined: | globally; see XML source
Used: | never
volatilityRepresentation |
Type: | VolatilityRepresentation
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element pricingStructure
Defined: | globally; see XML source
Used: | never
yieldCurve |
Type: | YieldCurve
Content: | complex, 1 attribute, 4 elements
Subst.Gr: | may substitute for element pricingStructure
Defined: | globally; see XML source
Used: | never
yieldCurveValuation |
Type: | YieldCurveValuation
Content: | complex, 2 attributes, 11 elements
Subst.Gr: | may substitute for element pricingStructureValuation
Defined: | globally; see XML source
Used: | never
zeroCurve | A curve of zero rates.
Type: | ZeroRateCurve
Content: | complex, 2 elements
Defined: | locally witnin YieldCurveValuation complexType; see XML source

Complex Type Summary
CompoundingFrequency | The frequency at which a rate is compounded.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CreditCurve | A generic credit curve definition.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Used: | at 1 location
CreditCurveValuation | A set of credit curve values, which can include pricing inputs (which are typically credit spreads), default probabilities, and recovery rates.
Content: | complex, 2 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
DefaultProbabilityCurve | A set of default probabilities.
Content: | complex, 2 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ForwardRateCurve | A curve used to model a set of forward interest rates.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxCurve | An fx curve object., which includes pricing inputs and term structures for fx forwards.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Used: | at 1 location
FxCurveValuation | A valuation of an FX curve object., which includes pricing inputs and term structures for fx forwards.
Content: | complex, 2 attributes, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
FxRateSet | A collection of spot FX rates used in pricing.
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | at 1 location
MultiDimensionalPricingData | A pricing data set that contains a series of points with coordinates.
Content: | complex, 14 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ParametricAdjustment | An adjustment used to accommodate a parameter of the input trade, e.g. the strike.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ParametricAdjustmentPoint | A value of the adjustment point, consisting of the x value and the corresponding y value.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PricingStructurePoint | A single valued point with a set of coordinates that define an arbitrary number of indentifying indexes (0 or more).
Content: | complex, 1 attribute, 18 elements
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TermCurve | A curve consisting only of values over a term.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 7 locations
TermPoint | A value point that can have a time dimension.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
VolatilityMatrix | A matrix of volatilities with dimension 0-3.
Content: | complex, 2 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
VolatilityRepresentation | A representation of volatilities of an asset.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
YieldCurve | A generic yield curve object, which can be valued in a variety of ways.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Used: | at 1 location
YieldCurveValuation | The values of a yield curve, including possibly inputs and outputs (dfs, forwards, zero rates).
Content: | complex, 2 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ZeroRateCurve | A curve used to model a set of zero-coupon interest rates.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Element Group Summary
BidMidAsk.model | The bid, mid, or ask values relevant for a quote
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CreditCurveCharacteristics.model | The set of characterstics that describe the outputs of a credit curve.
Content: | 8 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
FxCurveCharacteristics.model | The set of characterstics that describe the outputs of a fx curve.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
RecoveryRate.model | The model of the recovery rate (single value or curve).
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
UnderlyingAssetOrReference.model | Include or reference an underlying asset definition.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
YieldCurveCharacteristics.model | The set of characteristics that describe the outputs of a yield curve.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8563 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-doc-5-3.xsd"/> <xsd:include schemaLocation="fpml-asset-5-3.xsd"/> <xsd:include schemaLocation="fpml-riskdef-5-3.xsd"/> <xsd:include schemaLocation="fpml-cd-5-3.xsd"/> <xsd:complexType name="CompoundingFrequency"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en">The frequency at which a rate is compounded.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/compounding-frequency" name="compoundingFrequencyScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CreditCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A generic credit curve definition.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructure"> <xsd:sequence> <xsd:group minOccurs="0" ref="CreditCurveCharacteristics.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CreditCurveValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of credit curve values, which can include pricing inputs (which are typically credit spreads), default probabilities, and recovery rates. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="inputs" type="QuotedAssetSet"/> <xsd:element minOccurs="0" name="defaultProbabilityCurve" type="DefaultProbabilityCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A curve of default probabilities.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="RecoveryRate.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A recovery rate value or curve.</xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DefaultProbabilityCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A set of default probabilities.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="baseYieldCurve" type="PricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the yield curve values used as a basis for this credit curve valuation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="defaultProbabilities" type="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A collection of default probabilities.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ForwardRateCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> A curve used to model a set of forward interest rates. Used for forecasting interest rates as part of a pricing calculation. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="assetReference" type="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the rate index whose forwards are modeled. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateCurve" type="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">The curve of forward values.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> An fx curve object., which includes pricing inputs and term structures for fx forwards. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructure"> <xsd:sequence> <xsd:group minOccurs="0" ref="FxCurveCharacteristics.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxCurveValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A valuation of an FX curve object., which includes pricing inputs and term structures for fx forwards. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementCurrencyYieldCurve" type="PricingStructureReference"/> <xsd:element minOccurs="0" name="forecastCurrencyYieldCurve" type="PricingStructureReference"/> <xsd:element minOccurs="0" name="spotRate" type="FxRateSet"/> <xsd:element minOccurs="0" name="fxForwardCurve" type="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A curve of fx forward rates.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxForwardPointsCurve" type="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A curve of fx forward point spreads.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxRateSet"> <xsd:annotation> <xsd:documentation xml:lang="en">A collection of spot FX rates used in pricing.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="QuotedAssetSet"> <xsd:sequence/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="MultiDimensionalPricingData"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pricing data set that contains a series of points with coordinates. It is a sparse matrix representation of a multi-dimensional matrix. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group minOccurs="0" ref="QuotationCharacteristics.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Characteristics that apply to all quotations in the pricing structure. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="unbounded" minOccurs="0" name="point" type="PricingStructurePoint"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ParametricAdjustment"> <xsd:annotation> <xsd:documentation xml:lang="en"> An adjustment used to accommodate a parameter of the input trade, e.g. the strike. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the adjustment parameter (e.g. "Volatility Skew"). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="inputUnits" type="PriceQuoteUnits"> <xsd:annotation> <xsd:documentation xml:lang="en">The units of the input parameter, e.g. Yield.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="datapoint" type="ParametricAdjustmentPoint"> <xsd:annotation> <xsd:documentation xml:lang="en">The values of the adjustment parameter.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ParametricAdjustmentPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A value of the adjustment point, consisting of the x value and the corresponding y value. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="parameterValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value of the independent variable (e.g. strike offset). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustmentValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value of the dependent variable, the actual adjustment amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PricingStructurePoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A single valued point with a set of coordinates that define an arbitrary number of indentifying indexes (0 or more). Note that the collection of coordinates/coordinate references for a PricingStructurePoint must not define a given dimension (other than "generic") more than once. This is to avoid ambiguity. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group maxOccurs="unbounded" minOccurs="0" ref="PricingCoordinateOrReference.model"/> <xsd:group minOccurs="0" ref="UnderlyingAssetOrReference.model"/> <xsd:group ref="Quotation.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A quotation for a specific point, including anny characteristics that may be unique to that point. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> A curve consisting only of values over a term. This is a restricted form of One Dimensional Structure. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/> <xsd:element minOccurs="0" name="extrapolationPermitted" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="point" type="TermPoint"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TermPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A value point that can have a time dimension. Allows bid, mid, ask, and spread values to be represented. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="term" type="TimeDimension"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time dimension of the point (tenor and/or date) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="BidMidAsk.model"/> <xsd:element minOccurs="0" name="spreadValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The spread value can be used in conjunction with the "mid" value to define the bid and the ask value. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="definition" type="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional reference to an underlying asset that defines the meaning of the value, i.e. the product that the value corresponds to. For example, this could be a discount instrument. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="VolatilityMatrix"> <xsd:annotation> <xsd:documentation xml:lang="en">A matrix of volatilities with dimension 0-3.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="dataPoints" type="MultiDimensionalPricingData"> <xsd:annotation> <xsd:documentation xml:lang="en"> The raw volatility matrix data, expressed as a multi-dimensional array. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="adjustment" type="ParametricAdjustment"> <xsd:annotation> <xsd:documentation xml:lang="en">An adjustment factor, such as for vol smile/skew.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="VolatilityRepresentation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A representation of volatilities of an asset. This is a generic structure whose values can be supplied in a specific volatility matrix. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructure"> <xsd:sequence> <xsd:element minOccurs="0" name="asset" type="AnyAssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the asset whose volatility is modeled. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="YieldCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> A generic yield curve object, which can be valued in a variety of ways. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructure"> <xsd:sequence> <xsd:group minOccurs="0" ref="YieldCurveCharacteristics.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="YieldCurveValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The values of a yield curve, including possibly inputs and outputs (dfs, forwards, zero rates). </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="inputs" type="QuotedAssetSet"/> <xsd:element minOccurs="0" name="zeroCurve" type="ZeroRateCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A curve of zero rates.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="forwardCurve" type="ForwardRateCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A curve of forward rates.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="discountFactorCurve" type="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">A curve of discount factors.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ZeroRateCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> A curve used to model a set of zero-coupon interest rates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="compoundingFrequency" type="CompoundingFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which the rates are compounded (e.g. continuously compounded). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateCurve" type="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en">The curve of zero-coupon values.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:element name="creditCurve" substitutionGroup="pricingStructure" type="CreditCurve"/> <xsd:element name="creditCurveValuation" substitutionGroup="pricingStructureValuation" type="CreditCurveValuation"/> <xsd:element name="fxCurve" substitutionGroup="pricingStructure" type="FxCurve"/> <xsd:element name="fxCurveValuation" substitutionGroup="pricingStructureValuation" type="FxCurveValuation"/> <xsd:element name="volatilityMatrixValuation" substitutionGroup="pricingStructureValuation" type="VolatilityMatrix"/> <xsd:element name="volatilityRepresentation" substitutionGroup="pricingStructure" type="VolatilityRepresentation"/> <xsd:element name="yieldCurve" substitutionGroup="pricingStructure" type="YieldCurve"/> <xsd:element name="yieldCurveValuation" substitutionGroup="pricingStructureValuation" type="YieldCurveValuation"/> <xsd:group name="BidMidAsk.model"> <xsd:annotation> <xsd:documentation xml:lang="en">The bid, mid, or ask values relevant for a quote</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="bid" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A price "bid" by a buyer for an asset, i.e. the price a buyer is willing to pay. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="mid" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">A price midway between the bid and the ask price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="ask" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A price "asked" by a seller for an asset, i.e. the price at which a seller is willing to sell. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CreditCurveCharacteristics.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of characterstics that describe the outputs of a credit curve. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="CreditEntity.model"/> <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"> <xsd:annotation> <xsd:documentation xml:lang="en">The material credit event.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"> <xsd:annotation> <xsd:documentation xml:lang="en"> The level of seniority of the deliverable obligation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="secured" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether the deliverable obligation is secured or unsecured. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="obligationCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency of denomination of the deliverable obligation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="obligations" type="Obligations"> <xsd:annotation> <xsd:documentation xml:lang="en"> The underlying obligations of the reference entity on which you are buying or selling protection </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliverableObligations" type="DeliverableObligations"> <xsd:annotation> <xsd:documentation xml:lang="en"> What sort of obligation may be delivered in the event of the credit event. ISDA 2003 Term: Obligation Category/Deliverable Obligation Category </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="FxCurveCharacteristics.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of characterstics that describe the outputs of a fx curve. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="RecoveryRate.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The model of the recovery rate (single value or curve). </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="recoveryRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">A single recovery rate, to be used for all terms.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="recoveryRateCurve" type="TermCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> A curve of recovery rates, allowing different terms to have different recovery rates. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="UnderlyingAssetOrReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Include or reference an underlying asset definition. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" ref="underlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> An underlying asset that defines the meaning of the value, i.e. the product that the value corresponds to. For example, this could be a caplet or simple european swaption. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="underlyingAssetReference" type="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to an underlying asset that defines the meaning of the value, i.e. the product that the value corresponds to. For example, this could be a caplet or simple european swaption. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="YieldCurveCharacteristics.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of characteristics that describe the outputs of a yield curve. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="algorithm" type="xsd:string"/> <xsd:element minOccurs="0" name="forecastRateIndex" type="ForecastRateIndex"/> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.